Create a proxy

Base URL
https://{kibana_url}
  • POST /api/fleet/proxies
Auth

Create a new Fleet proxy.

Required authorization

Privileges fleet-settings-all

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

certificate string nullable
certificate_authorities string nullable
certificate_key string nullable
id string
is_preconfigured boolean · default: false
name string required
proxy_headers map string to boolean | number | string nullable
url string required

Responses

Successful response

application/json
item object required
certificate string nullable
certificate_authorities string nullable
certificate_key string nullable
id string required
is_preconfigured boolean · default: false
name string required
proxy_headers map string to boolean | number | string nullable
url string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}